diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/script-loader.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/script-loader.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/script-loader.php	2013-01-23 15:04:45.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/script-loader.php	2013-06-21 04:29:58.000000000 -0500
***************
*** 246,259 ****
  	$scripts->add( 'swfupload-swfobject', '/wp-includes/js/swfupload/plugins/swfupload.swfobject.js', array('swfupload', 'swfobject'), '2201a');
  	$scripts->add( 'swfupload-queue', '/wp-includes/js/swfupload/plugins/swfupload.queue.js', array('swfupload'), '2201');
  	$scripts->add( 'swfupload-speed', '/wp-includes/js/swfupload/plugins/swfupload.speed.js', array('swfupload'), '2201');
! 
! 	if ( defined('SCRIPT_DEBUG') && SCRIPT_DEBUG ) {
! 		// queue all SWFUpload scripts that are used by default
! 		$scripts->add( 'swfupload-all', false, array('swfupload', 'swfupload-swfobject', 'swfupload-queue'), '2201');
! 	} else {
! 		$scripts->add( 'swfupload-all', '/wp-includes/js/swfupload/swfupload-all.js', array(), '2201a');
! 	}
! 
  	$scripts->add( 'swfupload-handlers', "/wp-includes/js/swfupload/handlers$suffix.js", array('swfupload-all', 'jquery'), '2201-20110524');
  	did_action( 'init' ) && $scripts->localize( 'swfupload-handlers', 'swfuploadL10n', $uploader_l10n );
  
--- 246,252 ----
  	$scripts->add( 'swfupload-swfobject', '/wp-includes/js/swfupload/plugins/swfupload.swfobject.js', array('swfupload', 'swfobject'), '2201a');
  	$scripts->add( 'swfupload-queue', '/wp-includes/js/swfupload/plugins/swfupload.queue.js', array('swfupload'), '2201');
  	$scripts->add( 'swfupload-speed', '/wp-includes/js/swfupload/plugins/swfupload.speed.js', array('swfupload'), '2201');
! 	$scripts->add( 'swfupload-all', false, array('swfupload', 'swfupload-swfobject', 'swfupload-queue'), '2201');
  	$scripts->add( 'swfupload-handlers', "/wp-includes/js/swfupload/handlers$suffix.js", array('swfupload-all', 'jquery'), '2201-20110524');
  	did_action( 'init' ) && $scripts->localize( 'swfupload-handlers', 'swfuploadL10n', $uploader_l10n );
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/user.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/user.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/user.php	2012-12-27 22:40:46.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/user.php	2013-06-19 03:13:49.000000000 -0500
***************
*** 474,480 ****
  					$search_columns = array('user_email');
  				elseif ( is_numeric($search) )
  					$search_columns = array('user_login', 'ID');
! 				elseif ( preg_match('|^https?://|', $search) && ! wp_is_large_network( 'users' ) )
  					$search_columns = array('user_url');
  				else
  					$search_columns = array('user_login', 'user_nicename');
--- 474,480 ----
  					$search_columns = array('user_email');
  				elseif ( is_numeric($search) )
  					$search_columns = array('user_login', 'ID');
! 				elseif ( preg_match('|^https?://|', $search) && ! ( is_multisite() && function_exists( 'wp_is_large_network' ) && wp_is_large_network( 'users' ) ) )
  					$search_columns = array('user_url');
  				else
  					$search_columns = array('user_login', 'user_nicename');
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/version.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/version.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/version.php	2013-01-24 14:14:49.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/version.php	2013-06-21 12:26:11.000000000 -0500
***************
*** 4,24 ****
   *
   * @global string $wp_version
   */
! $wp_version = '3.5.1';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
   *
   * @global int $wp_db_version
   */
! $wp_db_version = 22441;
  
  /**
   * Holds the TinyMCE version
   *
   * @global string $tinymce_version
   */
! $tinymce_version = '358-23224';
  
  /**
   * Holds the required PHP version
--- 4,24 ----
   *
   * @global string $wp_version
   */
! $wp_version = '3.5.2';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
   *
   * @global int $wp_db_version
   */
! $wp_db_version = 22442;
  
  /**
   * Holds the TinyMCE version
   *
   * @global string $tinymce_version
   */
! $tinymce_version = '358-24486';
  
  /**
   * Holds the required PHP version
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/wp-db.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/wp-db.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/wp-db.php	2012-12-27 10:44:59.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/wp-db.php	2013-06-21 13:41:52.000000000 -0500
***************
*** 1120,1125 ****
--- 1120,1127 ----
  		$this->last_result = array();
  		$this->col_info    = null;
  		$this->last_query  = null;
+ 		$this->rows_affected = $this->num_rows = 0;
+ 		$this->last_error  = '';
  
  		if ( is_resource( $this->result ) )
  			mysql_free_result( $this->result );
***************
*** 1300,1305 ****
--- 1302,1308 ----
  	function _insert_replace_helper( $table, $data, $format = null, $type = 'INSERT' ) {
  		if ( ! in_array( strtoupper( $type ), array( 'REPLACE', 'INSERT' ) ) )
  			return false;
+ 		$this->insert_id = 0;
  		$formats = $format = (array) $format;
  		$fields = array_keys( $data );
  		$formatted_fields = array();
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-login.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-login.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-login.php	2012-11-30 07:40:59.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-login.php	2013-06-20 22:02:28.000000000 -0500
***************
*** 389,402 ****
  switch ($action) {
  
  case 'postpass' :
! 	if ( empty( $wp_hasher ) ) {
! 		require_once( ABSPATH . 'wp-includes/class-phpass.php' );
! 		// By default, use the portable hash from phpass
! 		$wp_hasher = new PasswordHash(8, true);
! 	}
  
  	// 10 days
! 	setcookie( 'wp-postpass_' . COOKIEHASH, $wp_hasher->HashPassword( stripslashes( $_POST['post_password'] ) ), time() + 10 * DAY_IN_SECONDS, COOKIEPATH );
  
  	wp_safe_redirect( wp_get_referer() );
  	exit();
--- 389,399 ----
  switch ($action) {
  
  case 'postpass' :
! 	require_once ABSPATH . 'wp-includes/class-phpass.php';
! 	$hasher = new PasswordHash( 8, true );
  
  	// 10 days
! 	setcookie( 'wp-postpass_' . COOKIEHASH, $hasher->HashPassword( stripslashes( $_POST['post_password'] ) ), time() + 10 * DAY_IN_SECONDS, COOKIEPATH );
  
  	wp_safe_redirect( wp_get_referer() );
  	exit();
